/**
*DatabaseHelper中数据表的数据结构
*@author ZGT
**/
--用户表
create table food_user(
nikeName VARCHAR(100),	--用户昵称
workNo VARCHAR(32),      --员工编号
storeId VARCHAR(32),	--门店ID
storeNo VARCHAR(32),	--门店编号
storeName VARCHAR(32),	--门店名称
sessionId VARCHAR(32)	--登陆session
);

--菜品大类
create table food_dish_series(
id VARCHAR(32),			--大类ID
no VARCHAR(32),			--大类编号
name VARCHAR(64)		--大类名称
);

--菜品小类
create table food_dish_type (
id VARCHAR(32),			--小类ID
no VARCHAR(32),			--小类编号
name VARCHAR(64),		--小类名称
seriesId VARCHAR(32)	--大类ID
);

--菜品列表
create table food_dish (
id VARCHAR(32),			--菜品ID
no VARCHAR(32),			--菜品编号
name VARCHAR(64),		--菜品名称
seriesId VARCHAR(32),	--菜品大类ID
typeId VARCHAR(32),		--菜品小类ID
suitFlag Integer,		--是否套餐; 0 否 1是
price decimal(24,2),	--菜品价格
memberPrice decimal(24,2)--菜品会员价格
);

--菜品规格
create table food_dish_spec (
id VARCHAR(32),			--规格ID
dishId VARCHAR(32),		--菜品ID
no VARCHAR(32),			--规格编号
name VARCHAR(64),		--规格名称
price decimal(24,2),	--规格菜品价格
memberPrice decimal(24,2),--规格菜品会员价
isdefault Integer		--是否默认规格
);

--套菜
create table food_dish_suit (
id VARCHAR(32),			--套菜ID
dishId VARCHAR(32),		--菜品ID
no VARCHAR(32),			--套菜编号
name VARCHAR(64)		--套菜名称
);

--套菜明细
create table food_dish_suit_detail (
id VARCHAR(32),			--套菜明细ID
suitId VARCHAR(32),		--套菜ID
dishId VARCHAR(32),		--菜品ID
dishName VARCHAR(64),	--菜品名称
specId VARCHAR(32),		--规格ID
specName VARCHAR(64), 	--规格名称
amount Integer, 		--数量
addPrice decimal(24,2), --加价
defaultflag Integer		--是否默认 0否  1是
);

--做法类型
create table food_make_type (
id VARCHAR(32),			--做法类型ID
no VARCHAR(32),			--做法类型编号
name VARCHAR(64)		--做法类型名称
);

--做法
create table food_make_detail (
id VARCHAR(32),			--做法ID
typeId VARCHAR(32),		--做法类型ID
no VARCHAR(32),			--做法编号
description VARCHAR(64),--做法说明
addPrice decimal(24,2),	--加价
qtyFlag Integer			--按数量加价 0不加价  1加价
);

--餐桌区域
create table food_storetable_area (
id VARCHAR(32),			--区域ID
no VARCHAR(32),			--区域编号
name VARCHAR(64)		--区域名称
);

--餐桌资料
create table food_storetable (
id VARCHAR(32),			--餐桌ID
areaId VARCHAR(32),		--区域ID
typeId VARCHAR(32),		--餐桌类型
no VARCHAR(32),			--餐桌编号
name VARCHAR(64),		--餐桌名
number Integer			--人数
);

--付款类型
create table food_pay_type (
id VARCHAR(32),			--类型ID
no VARCHAR(32),			--类型编号
name VARCHAR(64),		--类型名称
sign VARCHAR(32)		--类型标识
);

--销售单
create table food_business_ticket (
id VARCHAR(32),			--销售单ID
storeId VARCHAR(32),	--门店ID
no VARCHAR(32),			--单据号
status Integer,			--状态
workNo VARCHAR(32),		--工号
tableId VARCHAR(32),	--桌位ID
tableNo VARCHAR(32),	--桌号
people Integer,			--人数
busTypeId VARCHAR(32),	--付款类型ID
busTypeNo VARCHAR(32),	--付款类型编号
busMode Integer,		--销售模式
saleDate VARCHAR(32),	--销售时间
upflag Integer,			--上传标识
dcpeople VARCHAR(32),	--订餐人
scaddress VARCHAR(32),	--送餐地址
scpeople VARCHAR(32),	--送餐人
scno VARCHAR(32),		--送餐工号
scphone VARCHAR(32),	--送餐电话
dcyuzhi decimal(24,2)	--预支金额
);

--菜品销售单列表
create table food_order_dish (
id VARCHAR(32),			--菜品记录ID
storeId VARCHAR(32),	--门店ID
busNo VARCHAR(32),		--销售单号
tableNo VARCHAR(32),	--桌号
dishId VARCHAR(32),		--菜品ID
dishName VARCHAR(32),	--菜品名称
specId VARCHAR(32),		--规格ID
specName VARCHAR(32),	--规格名称
count decimal(24,2),	--数量
rcount decimal(24,2),	--退菜数量
price decimal(24,2),	--销售单价
addPrice decimal(24,2),	--做法加价
discount decimal(24,2),	--折扣值
isGive Integer,			--是否赠品  0否;1是
money decimal(24,2),	--总金额
payStatus Integer,		--付款状态 0:未付款 ;1:已付款
isSpecial Integer,		--是否特价菜 0否;1是
isSuit Integer,			--是否套菜 0否;1是
deviceName VARCHAR(32),	--设备名称
isCoupon Integer,		--是否使用优惠券0否;1是
saleDate VARCHAR(32),	--销售时间
upflag Integer	,		--上传标识
workerNo VARCHAR(32)	--工号
);

--付款记录表
create table food_store_pay (
id VARCHAR(32),			--付款记录ID
storeId VARCHAR(32),	--门店ID
payNo VARCHAR(32),		--交易单号
busNo VARCHAR(32),		--销售单号
tableId VARCHAR(32),	--桌位ID
tableNo VARCHAR(32),	--桌位编号
payTypeId VARCHAR(32),	--付款类型ID
payType VARCHAR(32),	--付款类型
money decimal(24,2),	--应收金额
paid decimal(24,2),		--实收金额
change decimal(24,2),	--找零金额
virtual decimal(24,2),	--虚收金额
workNo VARCHAR(32),		--操作工号
deviceName VARCHAR(32),	--设备名称
voucherNo VARCHAR(32),	--凭证号
payDate VARCHAR(32),	--付款时间
upflag Integer			--上传标识
);

--门店销售做法
create table food_order_dish_make (
id VARCHAR(32),			--做法ID
orderId VARCHAR(32),	--销售记录单ID
makeId VARCHAR(32),		--做法ID
makeName VARCHAR(64),	--做法名
count decimal(24,2),	--数量
addPrice decimal(24,2)	--加价
);

--门店员工
create table food_store_worker(
id VARCHAR(32),			--员工ID
no VARCHAR(32),			--员工工号
name VARCHAR(64)		--员工名称
);